import 'package:diplomaticquarterapp/core/model/ImagesInfo.dart';
import 'package:diplomaticquarterapp/pages/medical/my_trackers/Weight/WeightHomePage.dart';
import 'package:diplomaticquarterapp/pages/medical/my_trackers/blood_suger/blood_sugar_home_page.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/data_display/medical/medical_profile_item.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import 'blood_pressure/BloodPressureHomePage.dart';

class MyTrackers extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      appBarTitle: TranslationBase.of(context).myTracker,
      showNewAppBar: true,
      isShowDecPage: true,
      showNewAppBarTitle: true,
      backgroundColor: Color(0xffF8F8F8),
      description: TranslationBase.of(context).infoTrackers,
      imagesInfo: [
        ImagesInfo(imageEn: 'https://hmgwebservices.com/Images/MobileApp/imges-info/my-trackers/en/0.png', imageAr: 'https://hmgwebservices.com/Images/MobileApp/imges-info/my-trackers/ar/0.png')
      ],
      body: SingleChildScrollView(
        child: Container(
            child: GridView(
                gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(crossAxisCount: 3, childAspectRatio: 2 / 2, crossAxisSpacing: 12, mainAxisSpacing: 12),
                physics: NeverScrollableScrollPhysics(),
                padding: EdgeInsets.all(21),
                shrinkWrap: true,
                children: [
              InkWell(
                onTap: () {
                  Navigator.push(context, FadePage(page: BloodSugarHomePage()));
                },
                child: MedicalProfileItem(
                  title: TranslationBase.of(context).bloodSugar,
                  imagePath: 'assets/tracker/blood-suger.png',
                  subTitle: null,
                  isPngImage: true,
                  width: 45.0,
                  height: 45.0,
                ),
              ),
              InkWell(
                onTap: () {
                  Navigator.push(context, FadePage(page: BloodPressureHomePage()));
                },
                child: MedicalProfileItem(
                  title: TranslationBase.of(context).bloodPressure,
                  imagePath: 'assets/tracker/blood-pressure.png',
                  subTitle: null,
                  isPngImage: true,
                  width: 45.0,
                  height: 45.0,
                ),
              ),
              InkWell(
                onTap: () {
                  Navigator.push(context, FadePage(page: WeightHomePage()));
                },
                child: MedicalProfileItem(
                  title: TranslationBase.of(context).weight,
                  imagePath: 'assets/tracker/weight.png',
                  subTitle: null,
                  isPngImage: true,
                  width: 45.0,
                  height: 45.0,
                ),
              ),
            ])),
      ),
    );
  }
}
